Subject: Re: bug#70779: [PATCH] Emacs 30 and warning about missing lexical-binding declaration

From: Arash Esbati <[email-masked]>
Date: Mon, 06 May 2024 07:27:26 +0200

Arash Esbati <[email-masked]> writes:

> Arash Esbati <[email-masked]> writes:
>
>> I suggest the following change to `TeX-auto-store' in tex.el:
>
> Which can be reduced to:
>
> diff --git a/tex.el b/tex.el
> index cda1d7f6..30f80c7e 100644
> --- a/tex.el
> +++ b/tex.el
> @@ -4267,6 +4267,7 @@ If TEX is a directory, generate style files for all files in the directory."
>          (TeX-unload-style style)
>          (with-current-buffer (generate-new-buffer file)
>            (erase-buffer)
> +          (insert ";;" (make-string 40 ?\s) "-*- lexical-binding: t; -*-\n\n")
>            (insert "(TeX-add-style-hook\n \""
>                    style "\"\n (lambda ()")
>            (unless (string= tex-cmd-opts "")

That change in Emacs in reverted (d51de0c5d9), but still, I think we can
turn lexical-binding on in auto-parsed style files as well.  I will
install this in a day or two if there are no other comments.

Best, Arash